Bug 1394284 - [RFE] Routers do not allow you to add/remove interfaces
Summary: [RFE] Routers do not allow you to add/remove interfaces
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:sdn
: 1398915 (view as bug list)
Depends On:
Blocks: 1398911 1413212
TreeView+ depends on / blocked
 
Reported: 2016-11-11 14:58 UTC by Tzu-Mainn Chen
Modified: 2017-08-30 03:45 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1413212 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:32:38 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Tzu-Mainn Chen 2016-11-11 14:58:21 UTC
Adding/removing interfaces are a major part of router management.

Comment 2 Tzu-Mainn Chen 2016-11-28 01:25:35 UTC
*** Bug 1398915 has been marked as a duplicate of this bug. ***

Comment 3 CFME Bot 2016-12-06 17:25:44 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/509f96dbfe15aed2ba0f31540acb352afb5ba74f

commit 509f96dbfe15aed2ba0f31540acb352afb5ba74f
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Thu Nov 17 12:08:56 2016 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Fri Nov 18 12:03:49 2016 -0500

    Added exception clases for router add/remove interfaces
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1394284

 lib/gems/pending/util/miq-exception.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 7 CFME Bot 2016-12-22 18:46:01 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4db629b0a7f144b32ad4e59811797b3301619f49

commit 4db629b0a7f144b32ad4e59811797b3301619f49
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Tue Dec 6 23:26:49 2016 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Wed Dec 7 00:07:23 2016 -0500

    model for add/remove interface on network router
    
    This commit adds model code for adding and removing router interfaces.
    
    BZ for this is:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1394284
    
    Euwe backport depends on merging https://github.com/ManageIQ/manageiq/pull/13005

 .../openstack/network_manager/network_router.rb    | 63 +++++++++++++++++++++-
 app/models/mixins/supports_feature_mixin.rb        |  2 +
 app/models/network_router.rb                       |  1 +
 config/settings.yml                                |  2 +
 .../OpenStack.class/router.interface.create.yaml   | 12 +++++
 .../OpenStack.class/router.interface.delete.yaml   | 12 +++++
 db/fixtures/miq_product_features.yml               |  8 +++
 ...ers-openstack-network_manager-network_router.rb |  4 ++
 .../miq_ae_service_network_router.rb               |  3 --
 ...penstack-network_manager-network_router_spec.rb | 19 +++++++
 .../miq_ae_service_network_router_spec.rb          |  8 ---
 11 files changed, 122 insertions(+), 12 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.create.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.delete.yaml
 create mode 100644 spec/lib/miq_automation_engine/service_methods/miq_ae_service_manageiq-providers-openstack-network_manager-network_router_spec.rb

Comment 9 CFME Bot 2017-01-11 01:00:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/8a3e81ec49df70ebf71cb7495420fd2c912b7aad

commit 8a3e81ec49df70ebf71cb7495420fd2c912b7aad
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Mon Dec 5 19:34:37 2016 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Mon Dec 5 19:34:37 2016 -0500

    Added exception clases for router add/remove interfaces for euwe
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1394284
    
    This is a euwe-only commit as this class is moved to the
    manageiq-gems-pending repository on master

 gems/pending/util/miq-exception.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 10 CFME Bot 2017-01-13 08:22:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/b91242eb8fd268bab9ed89d7330506084dbb66ea

commit b91242eb8fd268bab9ed89d7330506084dbb66ea
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Tue Jan 3 22:28:58 2017 -0500
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Wed Jan 11 10:07:28 2017 -0500

    UI for add/remove interface on network router
    
    This commit adds UI code for adding and removing router interfaces.
    
    BZ for this is:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1394284
    
    Euwe backport depends on merging https://github.com/ManageIQ/manageiq/pull/13005

 .../network_router_form_controller.js              |  19 +-
 app/controllers/network_router_controller.rb       | 216 +++++++++++++++++++--
 .../toolbar/network_router_center.rb               |  18 ++
 .../toolbar/network_routers_center.rb              |  16 ++
 .../network_router/add_interface_select.html.haml  |  23 +++
 .../remove_interface_select.html.haml              |  23 +++
 config/routes.rb                                   |   6 +
 spec/controllers/network_router_controller_spec.rb |  92 +++++++++
 8 files changed, 401 insertions(+), 12 deletions(-)
 create mode 100644 app/views/network_router/add_interface_select.html.haml
 create mode 100644 app/views/network_router/remove_interface_select.html.haml

Comment 12 CFME Bot 2017-02-08 18:33:33 UTC
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/e8132aa66bd510e3ba535c7bd3ee51b242e3972b

commit e8132aa66bd510e3ba535c7bd3ee51b242e3972b
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Tue Dec 6 23:26:49 2016 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Wed Feb 8 11:28:21 2017 -0500

    model for add/remove interface on network router
    
    This commit adds model code for adding and removing router interfaces.
    
    BZ for this is:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1394284
    
    Euwe backport depends on merging https://github.com/ManageIQ/manageiq/pull/13005

 .../EmsEvent/OpenStack.class/router.interface.create.yaml    | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/router.interface.delete.yaml    | 12 ++++++++++++
 2 files changed, 24 insertions(+)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.create.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/OpenStack.class/router.interface.delete.yaml

Comment 13 Ronnie Rasouli 2017-03-08 07:19:58 UTC
verified on 5.8.0.3


Note You need to log in before you can comment on or make changes to this bug.